**********************************************************************
* name of this file: 
* Exercise10.do
* a) Determine the difference between the equivalized income observed 
*    at first and last interview
* b) In how many households did income decrease in how many did it 
*    increase?
*
* DwB Training Course on EU-SILC Longitudinal Data
* Heike Wirth, GESIS
**********************************************************************

clear
capture log close
set more off

* choose drive and directory for data files
cd "YOUR PATH"

* choose name and directory for your loglog-file
log using "YOUR LOG FILE"

**********************************************************************
*
* Using information from the year before
* X[1]    // X value of the first household/person year
* X[_N]   // X value of the last household/person year
* X[_n-1] // X value of the household/person year before
*  
**********************************************************************

use "hh_reg_data.dta", replace
sort COUNTRY HH_ID YEAR

* a) Determine the difference between the equivalized income observed 
*    at last and first interview

bysort HH_ID COUNTRY (YEAR) : gen FIRST_HX090=HX090[1]    //value of the first household year
bysort HH_ID COUNTRY (YEAR) : gen LAST_HX090 =HX090[_N]   //value of the last household year
bysort HH_ID COUNTRY (YEAR) : gen LAST_YEAR  =YEAR[_N]   //value of the last household year

gen HX090_DIFF=LAST_HX090-FIRST_HX090

summarize HX090_DIFF if YEAR==LAST_YEAR, de  // report only for last observation year

* b) In how many households did income decrease in how many did it 
*    increase?

recode HX090_DIFF min/0=1 0/max=2, gen(INC_CHANGE)
label define lab1  1 "decrease" 2 "increase"
label value INC_CHANGE lab1
tab INC_CHANGE if YEAR==LAST_YEAR
