**********************************************************************
* name of this file: 
* Exercise7.do
* Create xtset for households
*
* DwB Training Course on EU-SILC Longitudinal Data
* Heike Wirth, GESIS
**********************************************************************

clear
capture log close
set more off

* change the path to where your original data is stored
cd "YOUR PATH"

* choose name and directory for your loglog-file
log using "YOUR LOG FILE", append

**********************************************************************
*
* Define data as panel data and use XT commands
*  
**********************************************************************

use "hh_reg_data.dta", replace

* Create unique household ID

duplicates report HH_ID YEAR

egen COUNTRY_NO=group(COUNTRY)
gen double HH_IDENTIFIER  = (COUNTRY_NO*1000000000 + HH_ID)
format HH_IDENTIFIER %16.0g
tabstat HH_IDENTIFIER, stats(min max count) format(%16.0g)
duplicates report HH_IDENTIFIER YEAR
isid HH_IDENTIFIER YEAR

* With xtset you can now define the panel structure

xtset HH_IDENTIFIER YEAR

* Now we can easily look at transitions

tab HS120
recode HS120 1/2=1 3/4=2 5/6=3, gen(HS120R)
label define hs120lab 1 "difficult" 2 "medium" 3 "easy"
label value HS120R hs120lab
tab HS120R
xttrans HS120R, freq
