**********************************************************************
* name of this file: 
* Create_person_years.do
*
* DwB Training Course on EU-SILC Longitudinal Data
* Paris, 19-21 February 2014
* Hands-on 
* Heike Wirth, GESIS
**********************************************************************

clear
capture log close
set more off

cd "YOUR PATH"

* choose name and directory for your loglog-file
log using "YOUR LOG FILE", append

**********************************************************************
*
* Numbering and counting person-years and household-years
*  
**********************************************************************

use "person_reg_data.dta", replace
sort COUNTRY HH_ID PERS_ID YEAR

format PERS_ID %16.0g
list COUNTRY YEAR HH_ID PERS_ID in 1/30, clean

* Numbering and count of persons-years 
* 
* _n = system variable, contains the running number of the observation
* _N = system variable, contains the maximum number of observations
*

bysort PERS_ID COUNTRY HH_ID (YEAR) : gen PYNR    = _n //person-year ID (within persons)
bysort PERS_ID COUNTRY HH_ID        : gen PYCOUNT = _N //# of person-years (for each person)

tab PYNR YEAR
tab PYCOUNT PYNR

list COUNTRY YEAR HH_ID PERS_ID PYNR PYCOUNT in 1/30, clean

