**********************************************************************
* name of this file: 
* create_poverty_indicator.do
*
* DwB Training Course on EU-SILC Longitudinal Data
* Paris, 19-21 February 2014
* Hands-on 
* Heike Wirth, GESIS
**********************************************************************

clear
capture log close
set more off

* change the path to where your original data is stored
cd "YOUR PATH"

* choose name and directory for your loglog-file
log using "YOUR LOG FILE"
*** create HX080 Poverty Indicator

cd "D:\Eigene Dateien\Daten\SILC\Training\STATA"

use "hh_reg_data.dta", replace
tab1 COUNTRY YEAR

* As poverty threshhold we use 60% of the median of equivalized income.
* The information on poverty lines are taken from Eurostat
* http://appsso.eurostat.ec.europa.eu/nui/show.do?dataset=ilc_li01&lang=en

merge m:1 YEAR COUNTRY using povertylines.dta
tab _merge COUNTRY
keep if _merge==3
drop _merge

gen POOR=.
replace POOR=0 if HX090 >= POVLINE
replace POOR=1 if HX090 < POVLINE 
label variable POOR "Poverty Indicator (HX080)"
label define ny 0 "no" 1 "yes"
label values POOR ny
bysort COUNTRY: tab YEAR POOR, row
